// SPDX-License-Identifier: LGPL-3.0-or-later
// See Notices.txt for copyright information
//! proc macros for `fayalite`
//!
//! see `fayalite::hdl_module` and `fayalite::hdl` for docs

// intentionally not documented here, see `fayalite::hdl_module` for docs
#[proc_macro_attribute]
pub fn hdl_module(
    attr: proc_macro::TokenStream,
    item: proc_macro::TokenStream,
) -> proc_macro::TokenStream {
    match fayalite_proc_macros_impl::hdl_module(attr.into(), item.into()) {
        Ok(retval) => retval.into(),
        Err(err) => err.into_compile_error().into(),
    }
}

// intentionally not documented here, see `fayalite::hdl` for docs
#[proc_macro_attribute]
pub fn hdl(
    attr: proc_macro::TokenStream,
    item: proc_macro::TokenStream,
) -> proc_macro::TokenStream {
    match fayalite_proc_macros_impl::hdl_attr(attr.into(), item.into()) {
        Ok(retval) => retval.into(),
        Err(err) => err.into_compile_error().into(),
    }
}
