// SPDX-License-Identifier: LGPL-3.0-or-later
// See Notices.txt for copyright information
//! ### Module Instances
//!
//! module instances are kinda like the hardware equivalent of calling a function,
//! you can create them like so:
//!
//! ```
//! # use fayalite::prelude::*;
//! # #[hdl_module]
//! # fn module() {
//! #[hdl]
//! let my_instance = instance(some_module());
//! // now you can use `my_instance`'s inputs/outputs like so:
//! #[hdl]
//! let v: UInt<3> = m.input();
//! connect(my_instance.a, v);
//! #[hdl_module]
//! fn some_module() {
//!     #[hdl]
//!     let a: UInt<3> = m.input();
//!     // ...
//! }
//! # }
//! ```
